<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">


  <xsl:template name="javascriptForDocumentView">
    <script type="text/javascript" src="interfaces/default/js/document_scripts.js"><xsl:text> </xsl:text></script>
    <!-- add in the niupepa-based customisations -->
    <script type="text/javascript" src="sites/hauraki-dl/collect/resources/script/custom-document.js"><xsl:text> </xsl:text></script>
  </xsl:template>

  <xsl:template name="additionalHeaderContent-collection">
    <link rel="stylesheet" href="sites/hauraki-dl/collect/resources/style/style.css"/>
  </xsl:template>

  <xsl:template name="pageTitle">
    <xsl:variable name="dcTitle">
      <xsl:value-of select="/page/pageResponse/document/documentNode/metadataList/metadata[@name='dc.Title']"/>
    </xsl:variable>
    
    <xsl:choose>
      <xsl:when test="$dcTitle">
	<xsl:value-of select="$dcTitle"/>
      </xsl:when>
      <xsl:otherwise><gslib:documentTitle/></xsl:otherwise>
    </xsl:choose>

  </xsl:template>

  <xsl:template name="page-title-area">
    <xsl:variable name="pageTitleVar"><xsl:call-template name="pageTitle"/></xsl:variable>
    <div id="titlearea">
      <h2>
	<!--  Resize the title based on how long it is (There's probably a better way to do this)  -->
	<xsl:attribute name="style">
	  <xsl:choose>
	    <xsl:when test="string-length($pageTitleVar) &lt; 20">
	      <xsl:text>font-size: 1.5em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 30">
	      <xsl:text>font-size: 1.4em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 40">
	      <xsl:text>font-size: 1.3em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 50">
	      <xsl:text>font-size: 1.2em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 60">
	      <xsl:text>font-size: 1.1em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 70">
	      <xsl:text>font-size: 1em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 80">
	      <xsl:text>font-size: 0.9em;</xsl:text>
	    </xsl:when>
	    <xsl:when test="string-length($pageTitleVar) &lt; 90">
	      <xsl:text>font-size: 0.8em;</xsl:text>
	    </xsl:when>
	    <xsl:otherwise>
	      <xsl:text>font-size: 0.7em;</xsl:text>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:attribute>

	<xsl:variable name="fileFormat">
	  <xsl:value-of select="/page/pageResponse/document/documentNode/metadataList/metadata[@name='FileFormat']"/>
	</xsl:variable>

	<xsl:choose>
	  <xsl:when test="$fileFormat = 'PDF'">

	    
	    <xsl:variable name="assocfilepath">
	      <xsl:value-of select="/page/pageResponse/document/documentNode/metadataList/metadata[@name='assocfilepath']"/>
	    </xsl:variable>
	    <xsl:variable name="srclinkFile">
	      <xsl:value-of select="/page/pageResponse/document/documentNode/metadataList/metadata[@name='srclinkFile']" /><!-- pos=1 -->
	    </xsl:variable>
	    
	    <xsl:variable name="hrefpdf">
	      <xsl:value-of select="$httpPath"/>/index/assoc/<xsl:value-of select="$assocfilepath"/>/doc.pdf
	    </xsl:variable>
    
	    <a>
	      <xsl:attribute name="href">
		<xsl:value-of select="$hrefpdf"/>
	      </xsl:attribute>
	      <img src="interfaces/default/images/ipdf.png" border="0"
		   style="padding-right:6px;"/>
	    </a>
	  </xsl:when>
	</xsl:choose>

	<!-- <xsl:value-of select="string-length($pageTitleVar)" /> -->
	<xsl:value-of select="$pageTitleVar"/>
	
      </h2>
      <xsl:text> </xsl:text>
    </div>
  </xsl:template>
  
  <xsl:template name="sectionTitle">
    <xsl:call-template name="choose-title"/>
  </xsl:template>

 </xsl:stylesheet>
